Bug 252797 - astro/qmapshack: update to 1.15.2
Summary: astro/qmapshack: update to 1.15.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Muhammad Moinur Rahman
URL: https://github.com/Maproom/qmapshack/...
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2021-01-18 09:32 UTC by Christoph Moench-Tegeder
Modified: 2021-01-25 23:40 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (bofh)


Attachments
update qmapshack to 1.15.2 (2.22 KB, patch)
2021-01-18 09:32 UTC, Christoph Moench-Tegeder
cmt: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Moench-Tegeder freebsd_committer 2021-01-18 09:32:08 UTC
Created attachment 221701 [details]
update qmapshack to 1.15.2

attached is a patch to update qmapshack to version 1.15.2. Please note removed patches patch-src_qmaptool_helpers_CDraw.cpp and patch-src_qmaptool_overlay_COverlayCutMap.cpp - these have been applied upstream in 1.15.1.
Works for me and passes poudriere.
Comment 1 Muhammad Moinur Rahman freebsd_committer 2021-01-24 14:23:18 UTC
This doesn't build with 11.4.

http://pdr.bofh.network/data/latest-per-pkg/qmapshack/1.15.2/
Comment 2 Christoph Moench-Tegeder freebsd_committer 2021-01-24 17:50:31 UTC
(In reply to Muhammad Moinur Rahman from comment #1)
Yes, of course. (how did you even get that far?). On 11.4 we have no qt5-network ("BROKEN" due to old openssl (unless you muck with non-default ssl)), which renders most qt5-based ports rather defunct.
Further, the code in question was the same in qmapshack 1.15.0, so it would be broken (if you got a working qt5-network with ssl support in the first place, which is - see above - not a given thing) in just the same way.
Comment 3 commit-hook freebsd_committer 2021-01-25 23:39:14 UTC
A commit references this bug:

Author: bofh
Date: Mon Jan 25 23:38:33 UTC 2021
New revision: 562619
URL: https://svnweb.freebsd.org/changeset/ports/562619

Log:
  astro/qmapshack: Update version 1.15.0=>1.15.2

  - Mark BROKEN for FreeBSD 11

  PR:			252797
  Submitted by:	cmt

Changes:
  head/astro/qmapshack/Makefile
  head/astro/qmapshack/distinfo
  head/astro/qmapshack/files/patch-src_qmaptool_helpers_CDraw.cpp
  head/astro/qmapshack/files/patch-src_qmaptool_overlay_COverlayCutMap.cpp